Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List shops

Returns a paginated list of shops accessible to the authenticated account.

GET/shops
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Query parameters
pageinteger
Page number
default: 1
per_pageinteger
Items per page
default: 50
Responses
200Paginated shops list
total_itemsinteger
pageinteger
per_pageinteger
_linksobject
Show properties
selfHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
nextHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
lastHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
_embeddedobject
Show properties
itemsShopSummary[]
Show properties
Array of ShopSummary
idstring
namestring
subdomainstring
urlstring
descriptionstring
currency_codestring
localestring
created_onstring<date-time>
updated_onstring<date-time>
product_countsobject
Show properties
visibleinteger
hiddeninteger
_linksobject
Request
curl -X GET "https://api.onbolder.com/v1/shops" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": "string",
        "name": "string",
        "subdomain": "string",
        "url": "string",
        "description": "string",
        "currency_code": "string",
        "locale": "string",
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "product_counts": {
          "visible": 0,
          "hidden": 0
        },
        "_links": {}
      }
    ]
  }
}